Package it.ernytech.tdlib

## Class TdApi.ToggleBasicGroupAdministrators

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ToggleBasicGroupAdministrators

Enclosing class:
  TdApi

    public static class TdApi.ToggleBasicGroupAdministrators
    extends TdApi.Function

Toggles the "All members are admins" setting in basic groups; requires creator privileges in the group.

Returns `Ok`

### Field Summary

Fields
`int` `basicGroupId` Identifier of the basic group.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `everyoneIsAdministrator` New value of everyoneIsAdministrator.

### Constructor Summary

Constructors
`ToggleBasicGroupAdministrators()` Default constructor.
`ToggleBasicGroupAdministrators​(int basicGroupId, boolean everyoneIsAdministrator)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### basicGroupId

    public int basicGroupId

Identifier of the basic group.

#### everyoneIsAdministrator

    public boolean everyoneIsAdministrator

New value of everyoneIsAdministrator.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ToggleBasicGroupAdministrators

    public ToggleBasicGroupAdministrators()

Default constructor.

#### ToggleBasicGroupAdministrators

    public ToggleBasicGroupAdministrators​(int basicGroupId,
                                          boolean everyoneIsAdministrator)

Constructor for initialization of all fields.

Parameters:
  `basicGroupId` - Identifier of the basic group.
  `everyoneIsAdministrator` - New value of everyoneIsAdministrator.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR